const jwt = require('jsonwebtoken');

module.exports = function (sequelize) {
  const OauthAccessToken = require('./OauthAccessToken')(sequelize);
  
  return async function passport_middleware(request, response, next) {
    const { headers } = request;
    if (headers.authorization) {
      const authorization = headers.authorization;
      const comp = authorization.split(' ');
      if (comp.length == 2 && comp[0] == 'Bearer') {
        const token = comp[1];
        const { jti } = jwt.decode(token);

        const access_token = await OauthAccessToken.findByPk(jti);
        console.log(access_token);
        if(access_token){
          request.user_id = access_token.user_id
          next();
        }else{
          response.send({status:false})
        }
      }else{
        response.send({status:false})
      }
    }else{
      response.send({status:false})
    }
    
  }
}